"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var log4js = require("log4js");
var logger = log4js.getLogger('Cassandra');
var cassandraConn;
function IntegrationCassandraSql(app) {
    cassandraConn = app.get('cassandraConn');
}
exports.IntegrationCassandraSql = IntegrationCassandraSql;
function GetCassandraVCCs() {
    return new Promise(function (resolve, reject) {
        cassandraConn.execute('SELECT * FROM VCCs', [], function (err, rows) {
            if (err) {
                var errorMsg = (err && err.procName ? 'Error al ejecutar \'' + err.procName + '\': ' : 'Error al ejecutar consulta: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
                logger.error(errorMsg);
                reject(err);
            }
            else {
                resolve(rows);
            }
        });
    });
}
exports.GetCassandraVCCs = GetCassandraVCCs;
function GetCassandraUsers() {
    return new Promise(function (resolve, reject) {
        cassandraConn.execute('SELECT * FROM Users', [], function (err, rows) {
            if (err) {
                var errorMsg = (err && err.procName ? 'Error al ejecutar \'' + err.procName + '\': ' : 'Error al ejecutar consulta: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
                logger.error(errorMsg);
                reject(err);
            }
            else {
                resolve(rows);
            }
        });
    });
}
exports.GetCassandraUsers = GetCassandraUsers;
