"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var log4js = require("log4js");
var sql = require('mssql');
var logger = log4js.getLogger('Sql');
var sqlConn;
function PlatformLicenseMSSql(app) {
    sqlConn = app.get('sqlConn');
}
exports.PlatformLicenseMSSql = PlatformLicenseMSSql;
function CreatePlatformLicense(platformHash, quality, speech, expirationDate, user) {
    return new sql.Request(sqlConn)
        .input('PlatformHash', sql.VarChar(100), platformHash)
        .input('QualityLicense', sql.Int, quality)
        .input('SpeechLicense', sql.VarChar(100), speech)
        .input('ExpirationDate', sql.Date, expirationDate)
        .input('User', sql.VarChar(50), user)
        .execute('CreatePlatformLicense')
        .then(function (recordsets) {
        var recordset = (recordsets && recordsets.length > 0 ? recordsets[0] : null);
        var output = (recordset && recordset.length > 0 ? recordset[0] : null);
        return Promise.resolve(output && output.result === 1);
    })
        .catch(function (err) {
        var errorMsg = (err && err.procName ? 'Error al ejecutar \'' + err.procName + '\': ' : 'Error al ejecutar consulta: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
        logger.error(errorMsg);
        return Promise.reject(err);
    });
}
exports.CreatePlatformLicense = CreatePlatformLicense;
function SavePlatformLicense(platformHash, quality, speech, expirationDate, user) {
    return new sql.Request(sqlConn)
        .input('PlatformHash', sql.VarChar(100), platformHash)
        .input('QualityLicense', sql.Int, quality)
        .input('SpeechLicense', sql.VarChar(100), speech)
        .input('ExpirationDate', sql.Date, expirationDate)
        .input('User', sql.VarChar(50), user)
        .execute('SavePlatformLicense')
        .then(function (recordsets) {
        var recordset = (recordsets && recordsets.length > 0 ? recordsets[0] : null);
        var output = (recordset && recordset.length > 0 ? recordset[0] : null);
        return Promise.resolve(output && output.result === 1);
    })
        .catch(function (err) {
        var errorMsg = (err && err.procName ? 'Error al ejecutar \'' + err.procName + '\': ' : 'Error al ejecutar consulta: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
        logger.error(errorMsg);
        return Promise.reject(err);
    });
}
exports.SavePlatformLicense = SavePlatformLicense;
